// A config.h file for defining all code being disabled for compiling the stand alone IKI Write.
// To assist in building this file use (may need to omit --defined-only): "nm --defined-only -f p programs/shared/iki_write | grep -oP '^(f|fl|fll|macro)_[^\s]+'".
// To get the list of all possible functions, use something like: "grep -horP '\b_di_f_\w*\b' level_0/f_color/".
//
// Example: echo > /tmp/all.txt
//          for i in f_type f_status f_memory f_type_array f_string f_utf f_color f_console f_conversion f_directory f_file f_iki f_path f_pipe f_print f_signal f_status_string ; do grep -horP '\b_di_f_\w*\b' level_0/$i/c >> /tmp/all.txt ; grep -horP '\b_di_macro_\w*\b' level_0/$i/c >> /tmp/all.txt ; done
//          for i in fl_iki fl_print fl_string ; do grep -horP '\b_di_fl_\w*\b' level_1/$i/c >> /tmp/all.txt ; grep -horP '\b_di_macro_\w*\b' level_1/$i/c >> /tmp/all.txt ; done
//          for i in fll_error fll_iki fll_print fll_program ; do grep -horP '\b_di_fll_\w*\b' level_2/$i/c >> /tmp/all.txt ; grep -horP '\b_di_macro_\w*\b' level_2/$i/c >> /tmp/all.txt ; done
//          sort /tmp/all.txt | uniq | sed -e 's|^_|#define &|g' > /tmp/sorted.txt

#define _di_f_array_lengths_adjust_
#define _di_f_array_lengths_append_
#define _di_f_array_lengths_append_all_
#define _di_f_array_lengths_decimate_by_
#define _di_f_array_lengths_decrease_by_
//#define _di_f_array_lengths_increase_
//#define _di_f_array_lengths_increase_by_
//#define _di_f_array_lengths_resize_
#define _di_f_array_lengthss_adjust_
#define _di_f_array_lengthss_append_
#define _di_f_array_lengthss_append_all_
#define _di_f_array_lengthss_decimate_by_
#define _di_f_array_lengthss_decrease_by_
#define _di_f_array_lengthss_increase_
#define _di_f_array_lengthss_increase_by_
#define _di_f_array_lengthss_resize_
#define _di_f_array_lengthss_t_
//#define _di_f_array_lengths_t_
//#define _di_f_array_length_t_

#define _di_f_cells_adjust_
#define _di_f_cells_append_
#define _di_f_cells_append_all_
#define _di_f_cells_decimate_by_
#define _di_f_cells_decrease_by_
#define _di_f_cells_increase_
#define _di_f_cells_increase_by_
#define _di_f_cells_resize_
#define _di_f_cellss_adjust_
#define _di_f_cellss_append_
#define _di_f_cellss_append_all_
#define _di_f_cellss_decimate_by_
#define _di_f_cellss_decrease_by_
#define _di_f_cellss_increase_
#define _di_f_cellss_increase_by_
#define _di_f_cellss_resize_
#define _di_f_cellss_t_
#define _di_f_cells_t_
#define _di_f_cell_t_

//#define _di_f_char_t_

#define _di_f_color_code_t_
//#define _di_f_color_context_delete_
#define _di_f_color_context_destroy_
//#define _di_f_color_context_t_
//#define _di_f_color_format_t_
//#define _di_f_color_load_context_
//#define _di_f_color_max_size_
//#define _di_f_color_mode_t_
#define _di_f_color_save_1_
#define _di_f_color_save_2_
#define _di_f_color_save_3_
#define _di_f_color_save_4_
#define _di_f_color_save_5_
//#define _di_f_color_set_context_t_
//#define _di_f_color_set_string_empty_s_
//#define _di_f_color_set_t_
//#define _di_f_color_string_s_
//#define _di_f_color_t_
//#define _di_f_color_terminal_s_

//#define _di_f_console_arguments_t_
#define _di_f_console_environment_process_
#define _di_f_console_identify_
//#define _di_f_console_ids_
//#define _di_f_console_length_size_
//#define _di_f_console_parameter_ids_t_
//#define _di_f_console_parameter_id_t_
//#define _di_f_console_parameter_prioritize_left_
//#define _di_f_console_parameter_prioritize_right_
//#define _di_f_console_parameter_process_
//#define _di_f_console_parameters_delete_
#define _di_f_console_parameters_destroy_
//#define _di_f_console_parameters_t_
//#define _di_f_console_parameter_t_
//#define _di_f_console_standard_s_
//#define _di_f_console_symbol_s_
//#define _di_f_console_types_t_
//#define _di_f_console_verbosity_

#define _di_f_conversion_character_is_binary_
//#define _di_f_conversion_character_is_decimal_
#define _di_f_conversion_character_is_duodecimal_
#define _di_f_conversion_character_is_hexidecimal_
#define _di_f_conversion_character_is_octal_
//#define _di_f_conversion_character_to_binary_
//#define _di_f_conversion_character_to_decimal_
//#define _di_f_conversion_character_to_duodecimal_
//#define _di_f_conversion_character_to_hexidecimal_
//#define _di_f_conversion_character_to_octal_
//#define _di_f_conversion_data_flag_
//#define _di_f_conversion_data_t_
#define _di_f_conversion_data_t_defines_
//#define _di_f_conversion_digits_d_
//#define _di_f_conversion_number_signed_print_
#define _di_f_conversion_number_signed_to_string_
//#define _di_f_conversion_number_unsigned_print_
#define _di_f_conversion_number_unsigned_to_string_

#define _di_f_date_t_

#define _di_f_directory_at_
#define _di_f_directory_create_
#define _di_f_directory_create_at_
#define _di_f_directory_exists_
#define _di_f_directory_exists_at_
#define _di_f_directory_flag_
#define _di_f_directory_is_
#define _di_f_directory_is_at_
#define _di_f_directory_limitations_
#define _di_f_directory_list_
//#define _di_f_directory_listing_t_
#define _di_f_directory_mode_
#define _di_f_directory_open_
#define _di_f_directory_open_at_
#define _di_f_directory_remove_
#define _di_f_directory_remove_custom_
//#define _di_f_directory_statuss_t_
//#define _di_f_directory_status_t_
#define _di_f_directory_string_
#define _di_f_directory_touch_
#define _di_f_directory_touch_at_

#define _di_f_file_access_
#define _di_f_file_access_at_
//#define _di_f_file_access_modes_
//#define _di_f_file_at_
#define _di_f_file_clone_
#define _di_f_file_close_
#define _di_f_file_close_flush_
#define _di_f_file_copy_
#define _di_f_file_create_
#define _di_f_file_create_at_
#define _di_f_file_create_device_
#define _di_f_file_create_device_at_
#define _di_f_file_create_fifo_
#define _di_f_file_create_fifo_at_
#define _di_f_file_create_node_
#define _di_f_file_create_node_at_
//#define _di_f_file_defaults_
#define _di_f_file_descriptor_
#define _di_f_file_exists_
#define _di_f_file_exists_at_
//#define _di_f_file_flag_
#define _di_f_file_flush_
#define _di_f_file_group_read_
#define _di_f_file_is_
#define _di_f_file_is_at_
#define _di_f_file_link_
#define _di_f_file_link_at_
#define _di_f_file_link_hard_
#define _di_f_file_link_hard_at_
#define _di_f_file_link_read_
#define _di_f_file_link_read_at_
#define _di_f_file_mode_determine_
#define _di_f_file_mode_from_string_
#define _di_f_file_mode_read_
#define _di_f_file_mode_read_at_
#define _di_f_file_mode_set_
#define _di_f_file_mode_set_at_
#define _di_f_file_mode_t_
#define _di_f_file_mode_to_mode_
#define _di_f_file_name_base_
#define _di_f_file_name_directory_
#define _di_f_file_open_
#define _di_f_file_open_at_
//#define _di_f_file_open_modes_
//#define _di_f_file_operation_strings_
#define _di_f_file_owner_read_
//#define _di_f_file_read_
#define _di_f_file_read_block_
#define _di_f_file_read_until_
#define _di_f_file_remove_
#define _di_f_file_remove_at_
#define _di_f_file_rename_
#define _di_f_file_rename_at_
#define _di_f_file_role_change_
#define _di_f_file_role_change_at_
#define _di_f_file_seek_
#define _di_f_file_seeks_
#define _di_f_file_size_
#define _di_f_file_size_at_
#define _di_f_file_size_by_id_
#define _di_f_file_stat_
#define _di_f_file_stat_at_
#define _di_f_file_stat_by_id_
#define _di_f_file_stat_flags_
//#define _di_f_file_stream_close_
//#define _di_f_file_stream_open_
#define _di_f_file_stream_open_descriptor_
#define _di_f_file_stream_read_
#define _di_f_file_stream_read_block_
#define _di_f_file_stream_read_until_
#define _di_f_file_stream_reopen_
#define _di_f_file_stream_write_
#define _di_f_file_stream_write_block_
#define _di_f_file_stream_write_range_
#define _di_f_file_stream_write_until_
//#define _di_f_file_t_
#define _di_f_file_touch_
#define _di_f_file_touch_at_
#define _di_f_file_type_
#define _di_f_file_type_at_
#define _di_f_file_types_
#define _di_f_file_umask_get_
#define _di_f_file_umask_set_
#define _di_f_file_write_
#define _di_f_file_write_block_
#define _di_f_file_write_range_
#define _di_f_file_write_until_

#define _di_f_fll_ids_adjust_
#define _di_f_fll_ids_append_
#define _di_f_fll_ids_append_all_
#define _di_f_fll_ids_decimate_by_
#define _di_f_fll_ids_decrease_by_
#define _di_f_fll_ids_increase_
#define _di_f_fll_ids_increase_by_
#define _di_f_fll_ids_resize_
#define _di_f_fll_idss_adjust_
#define _di_f_fll_idss_append_
#define _di_f_fll_idss_append_all_
#define _di_f_fll_idss_decimate_by_
#define _di_f_fll_idss_decrease_by_
#define _di_f_fll_idss_increase_
#define _di_f_fll_idss_increase_by_
#define _di_f_fll_idss_resize_
#define _di_f_fll_idss_t_
#define _di_f_fll_ids_t_
//#define _di_f_fll_id_t_

#define _di_f_iki_content_is_
#define _di_f_iki_content_partial_is_
#define _di_f_iki_contents_t_
#define _di_f_iki_content_t_
#define _di_f_iki_data_delete_
#define _di_f_iki_data_destroy_
#define _di_f_iki_datas_adjust_
#define _di_f_iki_datas_append_
#define _di_f_iki_datas_append_all_
#define _di_f_iki_datas_decimate_by_
#define _di_f_iki_datas_decrease_by_
#define _di_f_iki_datas_increase_
#define _di_f_iki_datas_increase_by_
#define _di_f_iki_datas_resize_
#define _di_f_iki_datass_adjust_
#define _di_f_iki_datass_append_
#define _di_f_iki_datass_append_all_
#define _di_f_iki_datass_decimate_by_
#define _di_f_iki_datass_decrease_by_
#define _di_f_iki_datass_increase_
#define _di_f_iki_datass_increase_by_
#define _di_f_iki_datass_resize_
#define _di_f_iki_datass_t_
#define _di_f_iki_datas_t_
#define _di_f_iki_data_t_
#define _di_f_iki_default_allocation_step_
#define _di_f_iki_delimitss_t_
#define _di_f_iki_delimits_t_
#define _di_f_iki_delimit_t_
//#define _di_f_iki_object_is_
#define _di_f_iki_object_partial_is_
#define _di_f_iki_read_
#define _di_f_iki_state_flags_
//#define _di_f_iki_syntax_
#define _di_f_iki_variables_t_
#define _di_f_iki_variable_t_
#define _di_f_iki_vocabulary_0001_
#define _di_f_iki_vocabulary_0001_s_
#define _di_f_iki_vocabulary_0002_
#define _di_f_iki_vocabulary_0002_s_
#define _di_f_iki_vocabularys_t_
#define _di_f_iki_vocabulary_t_

#define _di_f_int128s_adjust_
#define _di_f_int128s_append_
#define _di_f_int128s_append_all_
#define _di_f_int128s_decimate_by_
#define _di_f_int128s_decrease_by_
#define _di_f_int128s_increase_
#define _di_f_int128s_increase_by_
#define _di_f_int128s_resize_
#define _di_f_int128ss_adjust_
#define _di_f_int128ss_append_
#define _di_f_int128ss_append_all_
#define _di_f_int128ss_decimate_by_
#define _di_f_int128ss_decrease_by_
#define _di_f_int128ss_increase_
#define _di_f_int128ss_increase_by_
#define _di_f_int128ss_resize_
#define _di_f_int128ss_t_
#define _di_f_int128s_t_
//#define _di_f_int_128_t_
#define _di_f_int128_t_
#define _di_f_int16s_adjust_
#define _di_f_int16s_append_
#define _di_f_int16s_append_all_
#define _di_f_int16s_decimate_by_
#define _di_f_int16s_decrease_by_
#define _di_f_int16s_increase_
#define _di_f_int16s_increase_by_
#define _di_f_int16s_resize_
#define _di_f_int16ss_adjust_
#define _di_f_int16ss_append_
#define _di_f_int16ss_append_all_
#define _di_f_int16ss_decimate_by_
#define _di_f_int16ss_decrease_by_
#define _di_f_int16ss_increase_
#define _di_f_int16ss_increase_by_
#define _di_f_int16ss_resize_
#define _di_f_int16ss_t_
#define _di_f_int16s_t_
#define _di_f_int32s_adjust_
#define _di_f_int32s_append_
#define _di_f_int32s_append_all_
#define _di_f_int32s_decimate_by_
#define _di_f_int32s_decrease_by_
#define _di_f_int32s_increase_
#define _di_f_int32s_increase_by_
#define _di_f_int32s_resize_
#define _di_f_int32ss_adjust_
#define _di_f_int32ss_append_
#define _di_f_int32ss_append_all_
#define _di_f_int32ss_decimate_by_
#define _di_f_int32ss_decrease_by_
#define _di_f_int32ss_increase_
#define _di_f_int32ss_increase_by_
#define _di_f_int32ss_resize_
#define _di_f_int32ss_t_
#define _di_f_int32s_t_
#define _di_f_int64s_adjust_
#define _di_f_int64s_append_
#define _di_f_int64s_append_all_
#define _di_f_int64s_decimate_by_
#define _di_f_int64s_decrease_by_
#define _di_f_int64s_increase_
#define _di_f_int64s_increase_by_
#define _di_f_int64s_resize_
#define _di_f_int64ss_adjust_
#define _di_f_int64ss_append_
#define _di_f_int64ss_append_all_
#define _di_f_int64ss_decimate_by_
#define _di_f_int64ss_decrease_by_
#define _di_f_int64ss_increase_
#define _di_f_int64ss_increase_by_
#define _di_f_int64ss_resize_
#define _di_f_int64ss_t_
#define _di_f_int64s_t_
#define _di_f_int8s_adjust_
#define _di_f_int8s_append_
#define _di_f_int8s_append_all_
#define _di_f_int8s_decimate_by_
#define _di_f_int8s_decrease_by_
#define _di_f_int8s_increase_
#define _di_f_int8s_increase_by_
#define _di_f_int8s_resize_
#define _di_f_int8ss_adjust_
#define _di_f_int8ss_append_
#define _di_f_int8ss_append_all_
#define _di_f_int8ss_decimate_by_
#define _di_f_int8ss_decrease_by_
#define _di_f_int8ss_increase_
#define _di_f_int8ss_increase_by_
#define _di_f_int8ss_resize_
#define _di_f_int8ss_t_
#define _di_f_int8s_t_
#define _di_f_int8_t_

#define _di_fl_iki_read_

//#define _di_fll_error_file_print_
//#define _di_fll_error_file_type_
//#define _di_fll_error_parameter_integer_print_
//#define _di_fll_error_print_

//#define _di_fll_iki_content_escape_
#define _di_fll_iki_content_partial_escape_
#define _di_fll_iki_content_partial_unescape_
#define _di_fll_iki_content_unescape_

#define _di_fll_print_
#define _di_fll_print_character_
#define _di_fll_print_character_safely_
#define _di_fll_print_dynamic_
#define _di_fll_print_dynamic_partial_
#define _di_fll_print_dynamic_partial_raw_
#define _di_fll_print_dynamic_partial_raw_safely_
#define _di_fll_print_dynamic_partial_safely_
//#define _di_fll_print_dynamic_raw_
#define _di_fll_print_dynamic_raw_safely_
#define _di_fll_print_dynamic_safely_
#define _di_fll_print_except_
#define _di_fll_print_except_dynamic_
#define _di_fll_print_except_dynamic_partial_
#define _di_fll_print_except_dynamic_partial_raw_
#define _di_fll_print_except_dynamic_partial_raw_safely_
#define _di_fll_print_except_dynamic_partial_safely_
#define _di_fll_print_except_dynamic_raw_
#define _di_fll_print_except_dynamic_raw_safely_
#define _di_fll_print_except_dynamic_safely_
#define _di_fll_print_except_in_
#define _di_fll_print_except_in_dynamic_
#define _di_fll_print_except_in_dynamic_partial_
#define _di_fll_print_except_in_dynamic_partial_raw_
#define _di_fll_print_except_in_dynamic_partial_raw_safely_
#define _di_fll_print_except_in_dynamic_partial_safely_
#define _di_fll_print_except_in_dynamic_raw_
#define _di_fll_print_except_in_dynamic_raw_safely_
#define _di_fll_print_except_in_dynamic_safely_
#define _di_fll_print_except_in_raw_
#define _di_fll_print_except_in_raw_safely_
#define _di_fll_print_except_in_safely_
#define _di_fll_print_except_raw_
#define _di_fll_print_except_raw_safely_
#define _di_fll_print_except_safely_
//#define _di_fll_print_format_
#define _di_fll_print_format_convert_
#define _di_fll_print_raw_
#define _di_fll_print_raw_safely_
#define _di_fll_print_raw_terminated_
#define _di_fll_print_safely_
#define _di_fll_print_safely_terminated_
#define _di_fll_print_string_va_
#define _di_fll_print_terminated_
#define _di_fll_print_trim_
#define _di_fll_print_trim_dynamic_
#define _di_fll_print_trim_dynamic_partial_
#define _di_fll_print_trim_dynamic_partial_raw_
#define _di_fll_print_trim_dynamic_partial_raw_safely_
#define _di_fll_print_trim_dynamic_partial_safely_
#define _di_fll_print_trim_dynamic_raw_
#define _di_fll_print_trim_dynamic_raw_safely_
#define _di_fll_print_trim_dynamic_safely_
#define _di_fll_print_trim_except_
#define _di_fll_print_trim_except_dynamic_
#define _di_fll_print_trim_except_dynamic_partial_
#define _di_fll_print_trim_except_dynamic_partial_raw_
#define _di_fll_print_trim_except_dynamic_partial_raw_safely_
#define _di_fll_print_trim_except_dynamic_partial_safely_
#define _di_fll_print_trim_except_dynamic_raw_
#define _di_fll_print_trim_except_dynamic_raw_safely_
#define _di_fll_print_trim_except_dynamic_safely_
#define _di_fll_print_trim_except_in_
#define _di_fll_print_trim_except_in_dynamic_
#define _di_fll_print_trim_except_in_dynamic_partial_
#define _di_fll_print_trim_except_in_dynamic_partial_raw_
#define _di_fll_print_trim_except_in_dynamic_partial_raw_safely_
#define _di_fll_print_trim_except_in_dynamic_partial_safely_
#define _di_fll_print_trim_except_in_dynamic_raw_
#define _di_fll_print_trim_except_in_dynamic_raw_safely_
#define _di_fll_print_trim_except_in_dynamic_safely_
#define _di_fll_print_trim_except_in_raw_
#define _di_fll_print_trim_except_in_raw_safely_
#define _di_fll_print_trim_except_in_safely_
#define _di_fll_print_trim_except_raw_
#define _di_fll_print_trim_except_raw_safely_
#define _di_fll_print_trim_except_safely_
#define _di_fll_print_trim_raw_
#define _di_fll_print_trim_raw_safely_
#define _di_fll_print_trim_safely_

//#define _di_fll_program_data_delete_
#define _di_fll_program_data_destroy_
//#define _di_fll_program_data_t_
#define _di_fll_program_parameter_additional_append_
#define _di_fll_program_parameter_additional_mash_
#define _di_fll_program_parameter_additional_rip_
#define _di_fll_program_parameter_additional_rip_mash_
//#define _di_fll_program_parameter_long_print_cannot_use_with_
//#define _di_fll_program_parameter_process_
//#define _di_fll_program_parameter_process_empty_
//#define _di_fll_program_parameters_
//#define _di_fll_program_print_help_header_
//#define _di_fll_program_print_help_option_
#define _di_fll_program_print_help_option_long_
#define _di_fll_program_print_help_option_other_
//#define _di_fll_program_print_help_usage_
//#define _di_fll_program_print_version_
//#define _di_fll_program_standard_setdown_
//#define _di_fll_program_standard_setup_
//#define _di_fll_program_standard_signal_received_
#define _di_fll_program_standard_signal_state_

//#define _di_fl_print_format_
#define _di_fl_print_format_convert_
//#define _di_fl_print_string_va_
//#define _di_fl_print_t_
#define _di_fl_print_trim_
#define _di_fl_print_trim_dynamic_
#define _di_fl_print_trim_dynamic_partial_
#define _di_fl_print_trim_dynamic_partial_raw_
#define _di_fl_print_trim_dynamic_partial_raw_safely_
#define _di_fl_print_trim_dynamic_partial_safely_
#define _di_fl_print_trim_dynamic_raw_
#define _di_fl_print_trim_dynamic_raw_safely_
#define _di_fl_print_trim_dynamic_safely_
#define _di_fl_print_trim_except_
#define _di_fl_print_trim_except_dynamic_
#define _di_fl_print_trim_except_dynamic_partial_
#define _di_fl_print_trim_except_dynamic_partial_raw_
#define _di_fl_print_trim_except_dynamic_partial_raw_safely_
#define _di_fl_print_trim_except_dynamic_partial_safely_
#define _di_fl_print_trim_except_dynamic_raw_
#define _di_fl_print_trim_except_dynamic_raw_safely_
#define _di_fl_print_trim_except_dynamic_safely_
#define _di_fl_print_trim_except_in_
#define _di_fl_print_trim_except_in_dynamic_
#define _di_fl_print_trim_except_in_dynamic_partial_
#define _di_fl_print_trim_except_in_dynamic_partial_raw_
#define _di_fl_print_trim_except_in_dynamic_partial_raw_safely_
#define _di_fl_print_trim_except_in_dynamic_partial_safely_
#define _di_fl_print_trim_except_in_dynamic_raw_
#define _di_fl_print_trim_except_in_dynamic_raw_safely_
#define _di_fl_print_trim_except_in_dynamic_safely_
#define _di_fl_print_trim_except_in_raw_
#define _di_fl_print_trim_except_in_raw_safely_
#define _di_fl_print_trim_except_in_safely_
#define _di_fl_print_trim_except_raw_
#define _di_fl_print_trim_except_raw_safely_
#define _di_fl_print_trim_except_safely_
#define _di_fl_print_trim_raw_
#define _di_fl_print_trim_raw_safely_
#define _di_fl_print_trim_safely_

#define _di_fl_string_compare_
#define _di_fl_string_compare_except_
#define _di_fl_string_compare_except_trim_
#define _di_fl_string_compare_trim_
#define _di_fl_string_dynamic_compare_
#define _di_fl_string_dynamic_compare_except_
#define _di_fl_string_dynamic_compare_except_string_
#define _di_fl_string_dynamic_compare_except_trim_
#define _di_fl_string_dynamic_compare_except_trim_string_
//#define _di_fl_string_dynamic_compare_string_
#define _di_fl_string_dynamic_compare_trim_
#define _di_fl_string_dynamic_compare_trim_string_
#define _di_fl_string_dynamic_partial_compare_
#define _di_fl_string_dynamic_partial_compare_dynamic_
#define _di_fl_string_dynamic_partial_compare_except_
#define _di_fl_string_dynamic_partial_compare_except_dynamic_
#define _di_fl_string_dynamic_partial_compare_except_string_
#define _di_fl_string_dynamic_partial_compare_except_trim_
#define _di_fl_string_dynamic_partial_compare_except_trim_dynamic_
#define _di_fl_string_dynamic_partial_compare_except_trim_string_
//#define _di_fl_string_dynamic_partial_compare_string_
#define _di_fl_string_dynamic_partial_compare_trim_
#define _di_fl_string_dynamic_partial_compare_trim_dynamic_
#define _di_fl_string_dynamic_partial_compare_trim_string_
//#define _di_fl_string_dynamic_partial_fll_identify_
#define _di_fl_string_dynamic_partial_rip_
#define _di_fl_string_dynamic_partial_rip_nulless_
#define _di_fl_string_dynamic_rip_
#define _di_fl_string_dynamic_rip_nulless_
#define _di_fl_string_dynamic_seek_line_to_utf_character_
#define _di_fl_string_dynamic_seek_line_until_graph_
#define _di_fl_string_dynamic_seek_line_until_graph_non_
#define _di_fl_string_dynamic_seek_to_utf_character_
#define _di_fl_string_rip_
#define _di_fl_string_rip_nulless_
#define _di_fl_string_seek_line_to_utf_character_
#define _di_fl_string_seek_line_until_graph_
#define _di_fl_string_seek_line_until_graph_non_
#define _di_fl_string_seek_to_utf_character_

#define _di_f_memory_adjust_
//#define _di_f_memory_default_allocation_step_
#define _di_f_memory_delete_
#define _di_f_memory_destroy_
#define _di_f_memory_new_
#define _di_f_memory_new_aligned_
//#define _di_f_memory_resize_
#define _di_f_memory_structure_adjust_
#define _di_f_memory_structure_decimate_by_
#define _di_f_memory_structure_decrease_by_
#define _di_f_memory_structure_increase_
#define _di_f_memory_structure_increase_by_
#define _di_f_memory_structure_resize_

//#define _di_f_mode_t_

#define _di_f_path_change_
#define _di_f_path_change_at_
#define _di_f_path_current_
#define _di_f_path_defines_
#define _di_f_path_is_
#define _di_f_path_is_absolute_
#define _di_f_path_is_relative_
#define _di_f_path_is_relative_current_
#define _di_f_path_real_
#define _di_f_path_tree_hierarchy_standard_
#define _di_f_path_tree_kevux_standard_
#define _di_f_path_tree_s_

#define _di_f_pipe_debug_exists_
#define _di_f_pipe_error_exists_
//#define _di_f_pipe_input_exists_
#define _di_f_pipe_warning_exists_

//#define _di_f_print_
#define _di_f_print_character_
#define _di_f_print_character_safely_
#define _di_f_print_character_safely_get_
//#define _di_f_print_dynamic_
#define _di_f_print_dynamic_except_partial_
#define _di_f_print_dynamic_except_partial_raw_
#define _di_f_print_dynamic_except_partial_raw_safely_
#define _di_f_print_dynamic_except_partial_safely_
#define _di_f_print_dynamic_partial_
#define _di_f_print_dynamic_partial_raw_
#define _di_f_print_dynamic_partial_raw_safely_
#define _di_f_print_dynamic_partial_safely_
#define _di_f_print_dynamic_partial_to_
#define _di_f_print_dynamic_partial_to_raw_
#define _di_f_print_dynamic_partial_to_raw_safely_
#define _di_f_print_dynamic_partial_to_safely_
//#define _di_f_print_dynamic_raw_
//#define _di_f_print_dynamic_raw_safely_
//#define _di_f_print_dynamic_safely_
#define _di_f_print_dynamic_to_
#define _di_f_print_dynamic_to_raw_
#define _di_f_print_except_
#define _di_f_print_except_dynamic_
#define _di_f_print_except_dynamic_in_
#define _di_f_print_except_dynamic_in_raw_
#define _di_f_print_except_dynamic_in_raw_safely_
#define _di_f_print_except_dynamic_in_safely_
#define _di_f_print_except_dynamic_partial_
#define _di_f_print_except_dynamic_partial_raw_
#define _di_f_print_except_dynamic_partial_raw_safely_
#define _di_f_print_except_dynamic_partial_safely_
#define _di_f_print_except_dynamic_raw_
#define _di_f_print_except_dynamic_raw_safely_
#define _di_f_print_except_dynamic_safely_
//#define _di_f_print_except_in_
//#define _di_f_print_except_in_dynamic_
#define _di_f_print_except_in_dynamic_partial_
#define _di_f_print_except_in_dynamic_partial_raw_
#define _di_f_print_except_in_dynamic_partial_raw_safely_
#define _di_f_print_except_in_dynamic_partial_safely_
//#define _di_f_print_except_in_dynamic_raw_
//#define _di_f_print_except_in_dynamic_raw_safely_
//#define _di_f_print_except_in_dynamic_safely_
//#define _di_f_print_except_in_raw_
//#define _di_f_print_except_in_raw_safely_
//#define _di_f_print_except_in_safely_
#define _di_f_print_except_raw_
#define _di_f_print_except_raw_safely_
#define _di_f_print_except_safely_
//#define _di_f_print_format_flag_
//#define _di_f_print_format_type_
//#define _di_f_print_raw_
//#define _di_f_print_raw_safely_
#define _di_f_print_raw_terminated_
//#define _di_f_print_safely_
#define _di_f_print_safely_get_
//#define _di_f_print_safely_terminated_
//#define _di_f_print_sequences_
//#define _di_f_print_sequences_set_control_s_
//#define _di_f_print_terminated_
#define _di_f_print_to_
#define _di_f_print_to_character_
#define _di_f_print_to_character_safely_
#define _di_f_print_to_dynamic_
#define _di_f_print_to_dynamic_partial_
#define _di_f_print_to_dynamic_partial_raw_
#define _di_f_print_to_dynamic_partial_raw_safely_
#define _di_f_print_to_dynamic_partial_safely_
#define _di_f_print_to_dynamic_raw_
#define _di_f_print_to_dynamic_raw_safely_
#define _di_f_print_to_dynamic_safely_
#define _di_f_print_to_except_
#define _di_f_print_to_except_dynamic_
#define _di_f_print_to_except_dynamic_partial_
#define _di_f_print_to_except_dynamic_partial_raw_
#define _di_f_print_to_except_dynamic_partial_raw_safely_
#define _di_f_print_to_except_dynamic_partial_safely_
#define _di_f_print_to_except_dynamic_raw_
#define _di_f_print_to_except_dynamic_raw_safely_
#define _di_f_print_to_except_dynamic_safely_
#define _di_f_print_to_except_in_
#define _di_f_print_to_except_in_dynamic_
#define _di_f_print_to_except_in_dynamic_partial_
#define _di_f_print_to_except_in_dynamic_partial_raw_
#define _di_f_print_to_except_in_dynamic_partial_raw_safely_
#define _di_f_print_to_except_in_dynamic_partial_safely_
#define _di_f_print_to_except_in_dynamic_raw_
#define _di_f_print_to_except_in_dynamic_raw_safely_
#define _di_f_print_to_except_in_dynamic_safely_
#define _di_f_print_to_except_in_raw_
#define _di_f_print_to_except_in_raw_safely_
#define _di_f_print_to_except_in_safely_
#define _di_f_print_to_except_raw_
#define _di_f_print_to_except_raw_safely_
#define _di_f_print_to_except_safely_
#define _di_f_print_to_raw_
#define _di_f_print_to_raw_safely_
#define _di_f_print_to_raw_terminated_
#define _di_f_print_to_safely_
#define _di_f_print_to_safely_terminated_
#define _di_f_print_to_terminated_
//#define _di_f_print_write_max_

#define _di_f_signal_action_
//#define _di_f_signal_close_
#define _di_f_signal_how_t_
//#define _di_f_signal_mask_
//#define _di_f_signal_open_
#define _di_f_signal_pause_
#define _di_f_signal_queue_
//#define _di_f_signal_read_
#define _di_f_signal_send_
//#define _di_f_signal_set_add_
//#define _di_f_signal_set_delete_
//#define _di_f_signal_set_empty_
//#define _di_f_signal_set_fill_
#define _di_f_signal_set_has_
#define _di_f_signal_suspend_
//#define _di_f_signal_t_
#define _di_f_signal_wait_
#define _di_f_signal_wait_until_

#define _di_f_states_adjust_
#define _di_f_states_append_
#define _di_f_states_append_all_
#define _di_f_states_decimate_by_
#define _di_f_states_decrease_by_
#define _di_f_states_increase_
#define _di_f_states_increase_by_
#define _di_f_states_resize_
#define _di_f_statess_adjust_
#define _di_f_statess_append_
#define _di_f_statess_append_all_
#define _di_f_statess_decimate_by_
#define _di_f_statess_decrease_by_
#define _di_f_statess_increase_
#define _di_f_statess_increase_by_
#define _di_f_statess_resize_
#define _di_f_statess_t_
#define _di_f_states_t_
//#define _di_f_state_t_

//#define _di_f_status_access_e_
//#define _di_f_status_access_s_
//#define _di_f_status_array_e_
//#define _di_f_status_array_s_
//#define _di_f_status_available_e_
//#define _di_f_status_available_s_
//#define _di_f_status_basic_e_
//#define _di_f_status_basic_s_
//#define _di_f_status_boolean_e_
//#define _di_f_status_boolean_s_
//#define _di_f_status_buffer_e_
//#define _di_f_status_buffer_s_
//#define _di_f_status_buffers_s_
//#define _di_f_status_busy_e_
//#define _di_f_status_busy_s_
//#define _di_f_status_code_e_
//#define _di_f_status_compare_e_
//#define _di_f_status_compare_s_
//#define _di_f_status_directory_e_
//#define _di_f_status_directory_s_
//#define _di_f_status_end_e_
//#define _di_f_status_end_s_
//#define _di_f_status_file_e_
//#define _di_f_status_file_s_
//#define _di_f_status_filesystem_e_
//#define _di_f_status_filesystem_s_
//#define _di_f_status_mask_d_
//#define _di_f_status_network_e_
//#define _di_f_status_network_s_
//#define _di_f_status_number_e_
//#define _di_f_status_number_s_
//#define _di_f_status_process_e_
//#define _di_f_status_process_s_
//#define _di_f_status_return_e_
//#define _di_f_status_return_s_
#define _di_f_statuss_adjust_
#define _di_f_statuss_append_
#define _di_f_statuss_append_all_
#define _di_f_statuss_decimate_by_
#define _di_f_statuss_decrease_by_
//#define _di_f_status_signal_e_
//#define _di_f_status_signal_s_
#define _di_f_statuss_increase_
#define _di_f_statuss_increase_by_
//#define _di_f_status_socket_e_
//#define _di_f_status_socket_s_
#define _di_f_statuss_resize_
#define _di_f_statusss_adjust_
#define _di_f_statusss_append_
#define _di_f_statusss_append_all_
#define _di_f_statusss_decimate_by_
#define _di_f_statusss_decrease_by_
#define _di_f_statusss_increase_
#define _di_f_statusss_increase_by_
#define _di_f_statusss_resize_
#define _di_f_statusss_t_
#define _di_f_statuss_t_
//#define _di_f_status_t_
//#define _di_f_status_terminal_e_
//#define _di_f_status_terminal_s_

#define _di_f_string_append_
#define _di_f_string_append_assure_
#define _di_f_string_append_assure_nulless_
#define _di_f_string_append_nulless_
//#define _di_f_string_ascii_s_
#define _di_f_string_constant_t_
#define _di_f_string_dynamic_adjust_
#define _di_f_string_dynamic_append_
#define _di_f_string_dynamic_append_assure_
#define _di_f_string_dynamic_append_assure_nulless_
#define _di_f_string_dynamic_append_nulless_
#define _di_f_string_dynamic_decimate_by_
#define _di_f_string_dynamic_decrease_by_
#define _di_f_string_dynamic_increase_
//#define _di_f_string_dynamic_increase_by_
#define _di_f_string_dynamic_mash_
#define _di_f_string_dynamic_mash_nulless_
#define _di_f_string_dynamic_mish_
#define _di_f_string_dynamic_mish_nulless_
#define _di_f_string_dynamic_partial_append_
#define _di_f_string_dynamic_partial_append_assure_
#define _di_f_string_dynamic_partial_append_assure_nulless_
//#define _di_f_string_dynamic_partial_append_nulless_
#define _di_f_string_dynamic_partial_mash_
#define _di_f_string_dynamic_partial_mash_nulless_
#define _di_f_string_dynamic_partial_mish_
#define _di_f_string_dynamic_partial_mish_nulless_
#define _di_f_string_dynamic_partial_prepend_
#define _di_f_string_dynamic_partial_prepend_assure_
#define _di_f_string_dynamic_partial_prepend_assure_nulless_
#define _di_f_string_dynamic_partial_prepend_nulless_
#define _di_f_string_dynamic_prepend_
#define _di_f_string_dynamic_prepend_assure_
#define _di_f_string_dynamic_prepend_assure_nulless_
#define _di_f_string_dynamic_prepend_nulless_
//#define _di_f_string_dynamic_resize_
#define _di_f_string_dynamics_adjust_
#define _di_f_string_dynamics_append_
#define _di_f_string_dynamics_append_all_
#define _di_f_string_dynamics_decimate_by_
#define _di_f_string_dynamics_decrease_by_
#define _di_f_string_dynamic_seek_line_
#define _di_f_string_dynamic_seek_line_to_
//#define _di_f_string_dynamic_seek_to_
#define _di_f_string_dynamics_increase_
//#define _di_f_string_dynamics_increase_by_
//#define _di_f_string_dynamics_resize_
#define _di_f_string_dynamicss_adjust_
#define _di_f_string_dynamicss_append_
#define _di_f_string_dynamicss_append_all_
#define _di_f_string_dynamicss_decimate_by_
#define _di_f_string_dynamicss_decrease_by_
#define _di_f_string_dynamicss_increase_
#define _di_f_string_dynamicss_increase_by_
#define _di_f_string_dynamicss_resize_
#define _di_f_string_dynamicss_t_
//#define _di_f_string_dynamics_t_
//#define _di_f_string_dynamic_t_
#define _di_f_string_dynamic_terminate_
//#define _di_f_string_dynamic_terminate_after_
//#define _di_f_string_empty_s_
//#define _di_f_string_eol_s_
#define _di_f_string_map_multis_adjust_
#define _di_f_string_map_multis_append_
#define _di_f_string_map_multis_append_all_
#define _di_f_string_map_multis_decimate_by_
#define _di_f_string_map_multis_decrease_by_
#define _di_f_string_map_multis_increase_
#define _di_f_string_map_multis_increase_by_
#define _di_f_string_map_multis_resize_
#define _di_f_string_map_multiss_adjust_
#define _di_f_string_map_multiss_append_
#define _di_f_string_map_multiss_append_all_
#define _di_f_string_map_multiss_decimate_by_
#define _di_f_string_map_multiss_decrease_by_
#define _di_f_string_map_multiss_increase_
#define _di_f_string_map_multiss_increase_by_
#define _di_f_string_map_multiss_resize_
#define _di_f_string_map_multiss_t_
#define _di_f_string_map_multis_t_
#define _di_f_string_map_multi_t_
#define _di_f_string_maps_adjust_
#define _di_f_string_maps_append_
#define _di_f_string_maps_append_all_
#define _di_f_string_maps_decimate_by_
#define _di_f_string_maps_decrease_by_
#define _di_f_string_maps_increase_
#define _di_f_string_maps_increase_by_
#define _di_f_string_maps_resize_
#define _di_f_string_mapss_adjust_
#define _di_f_string_mapss_append_
#define _di_f_string_mapss_append_all_
#define _di_f_string_mapss_decimate_by_
#define _di_f_string_mapss_decrease_by_
#define _di_f_string_mapss_increase_
#define _di_f_string_mapss_increase_by_
#define _di_f_string_mapss_resize_
#define _di_f_string_mapss_t_
#define _di_f_string_maps_t_
#define _di_f_string_map_t_
#define _di_f_string_mash_
#define _di_f_string_mash_nulless_
#define _di_f_string_mish_
#define _di_f_string_mish_nulless_
#define _di_f_string_null_s_
//#define _di_f_string_placeholder_s_
#define _di_f_string_prepend_
#define _di_f_string_prepend_assure_
#define _di_f_string_prepend_assure_nulless_
#define _di_f_string_prepend_nulless_
#define _di_f_string_quantitys_adjust_
#define _di_f_string_quantitys_append_
#define _di_f_string_quantitys_append_all_
#define _di_f_string_quantitys_decimate_by_
#define _di_f_string_quantitys_decrease_by_
#define _di_f_string_quantitys_increase_
#define _di_f_string_quantitys_increase_by_
#define _di_f_string_quantitys_resize_
#define _di_f_string_quantityss_adjust_
#define _di_f_string_quantityss_append_
#define _di_f_string_quantityss_append_all_
#define _di_f_string_quantityss_decimate_by_
#define _di_f_string_quantityss_decrease_by_
#define _di_f_string_quantityss_increase_
#define _di_f_string_quantityss_increase_by_
#define _di_f_string_quantityss_resize_
#define _di_f_string_quantityss_t_
#define _di_f_string_quantitys_t_
#define _di_f_string_quantity_t_
#define _di_f_string_ranges_adjust_
#define _di_f_string_ranges_append_
#define _di_f_string_ranges_append_all_
#define _di_f_string_ranges_decimate_by_
#define _di_f_string_ranges_decrease_by_
#define _di_f_string_ranges_increase_
#define _di_f_string_ranges_increase_by_
#define _di_f_string_ranges_resize_
#define _di_f_string_rangess_adjust_
#define _di_f_string_rangess_append_
#define _di_f_string_rangess_append_all_
#define _di_f_string_rangess_decimate_by_
#define _di_f_string_rangess_decrease_by_
#define _di_f_string_rangess_increase_
#define _di_f_string_rangess_increase_by_
#define _di_f_string_rangess_resize_
#define _di_f_string_rangess_t_
//#define _di_f_string_ranges_t_
//#define _di_f_string_range_t_
//#define _di_f_string_seek_line_
#define _di_f_string_seek_line_to_
#define _di_f_string_seek_to_
//#define _di_f_string_space_s_
#define _di_f_string_staticss_t_
//#define _di_f_string_statics_t_
//#define _di_f_string_static_t_
//#define _di_f_string_t_
#define _di_f_string_triples_adjust_
#define _di_f_string_triples_append_
#define _di_f_string_triples_append_all_
#define _di_f_string_triples_decimate_by_
#define _di_f_string_triples_decrease_by_
#define _di_f_string_triples_increase_
#define _di_f_string_triples_increase_by_
#define _di_f_string_triples_resize_
#define _di_f_string_tripless_adjust_
#define _di_f_string_tripless_append_
#define _di_f_string_tripless_append_all_
#define _di_f_string_tripless_decimate_by_
#define _di_f_string_tripless_decrease_by_
#define _di_f_string_tripless_increase_
#define _di_f_string_tripless_increase_by_
#define _di_f_string_tripless_resize_
#define _di_f_string_tripless_t_
#define _di_f_string_triples_t_
#define _di_f_string_triple_t_

#define _di_f_time_spec_t_
#define _di_f_time_t_

//#define _di_f_type_input_output_d_
//#define _di_f_type_number_64_t_
//#define _di_f_type_sizes_d_

#define _di_f_uint128s_adjust_
#define _di_f_uint128s_append_
#define _di_f_uint128s_append_all_
#define _di_f_uint128s_decimate_by_
#define _di_f_uint128s_decrease_by_
#define _di_f_uint128s_increase_
#define _di_f_uint128s_increase_by_
#define _di_f_uint128s_resize_
#define _di_f_uint128ss_adjust_
#define _di_f_uint128ss_append_
#define _di_f_uint128ss_append_all_
#define _di_f_uint128ss_decimate_by_
#define _di_f_uint128ss_decrease_by_
#define _di_f_uint128ss_increase_
#define _di_f_uint128ss_increase_by_
#define _di_f_uint128ss_resize_
#define _di_f_uint128ss_t_
#define _di_f_uint128s_t_
#define _di_f_uint128_t_
#define _di_f_uint16s_adjust_
#define _di_f_uint16s_append_
#define _di_f_uint16s_append_all_
#define _di_f_uint16s_decimate_by_
#define _di_f_uint16s_decrease_by_
#define _di_f_uint16s_increase_
#define _di_f_uint16s_increase_by_
#define _di_f_uint16s_resize_
#define _di_f_uint16ss_adjust_
#define _di_f_uint16ss_append_
#define _di_f_uint16ss_append_all_
#define _di_f_uint16ss_decimate_by_
#define _di_f_uint16ss_decrease_by_
#define _di_f_uint16ss_increase_
#define _di_f_uint16ss_increase_by_
#define _di_f_uint16ss_resize_
#define _di_f_uint16ss_t_
#define _di_f_uint16s_t_
#define _di_f_uint32s_adjust_
#define _di_f_uint32s_append_
#define _di_f_uint32s_append_all_
#define _di_f_uint32s_decimate_by_
#define _di_f_uint32s_decrease_by_
#define _di_f_uint32s_increase_
#define _di_f_uint32s_increase_by_
#define _di_f_uint32s_resize_
#define _di_f_uint32ss_adjust_
#define _di_f_uint32ss_append_
#define _di_f_uint32ss_append_all_
#define _di_f_uint32ss_decimate_by_
#define _di_f_uint32ss_decrease_by_
#define _di_f_uint32ss_increase_
#define _di_f_uint32ss_increase_by_
#define _di_f_uint32ss_resize_
#define _di_f_uint32ss_t_
#define _di_f_uint32s_t_
#define _di_f_uint64s_adjust_
#define _di_f_uint64s_append_
#define _di_f_uint64s_append_all_
#define _di_f_uint64s_decimate_by_
#define _di_f_uint64s_decrease_by_
#define _di_f_uint64s_increase_
#define _di_f_uint64s_increase_by_
#define _di_f_uint64s_resize_
#define _di_f_uint64ss_adjust_
#define _di_f_uint64ss_append_
#define _di_f_uint64ss_append_all_
#define _di_f_uint64ss_decimate_by_
#define _di_f_uint64ss_decrease_by_
#define _di_f_uint64ss_increase_
#define _di_f_uint64ss_increase_by_
#define _di_f_uint64ss_resize_
#define _di_f_uint64ss_t_
#define _di_f_uint64s_t_
#define _di_f_uint8s_adjust_
#define _di_f_uint8s_append_
#define _di_f_uint8s_append_all_
#define _di_f_uint8s_decimate_by_
#define _di_f_uint8s_decrease_by_
#define _di_f_uint8s_increase_
#define _di_f_uint8s_increase_by_
#define _di_f_uint8s_resize_
#define _di_f_uint8ss_adjust_
#define _di_f_uint8ss_append_
#define _di_f_uint8ss_append_all_
#define _di_f_uint8ss_decimate_by_
#define _di_f_uint8ss_decrease_by_
#define _di_f_uint8ss_increase_
#define _di_f_uint8ss_increase_by_
#define _di_f_uint8ss_resize_
#define _di_f_uint8ss_t_
#define _di_f_uint8s_t_

#define _di_f_utf_buffer_decrement_
#define _di_f_utf_buffer_increment_
//#define _di_f_utf_byte_
#define _di_f_utf_character_is_
#define _di_f_utf_character_is_alphabetic_
#define _di_f_utf_character_is_alphabetic_digit_
#define _di_f_utf_character_is_alphabetic_numeric_
#define _di_f_utf_character_is_ascii_
#define _di_f_utf_character_is_combining_
#define _di_f_utf_character_is_control_
#define _di_f_utf_character_is_control_code_
#define _di_f_utf_character_is_control_format_
#define _di_f_utf_character_is_control_picture_
#define _di_f_utf_character_is_digit_
#define _di_f_utf_character_is_emoji_
#define _di_f_utf_character_is_fragment_
#define _di_f_utf_character_is_graph_
#define _di_f_utf_character_is_numeric_
#define _di_f_utf_character_is_phonetic_
#define _di_f_utf_character_is_private_
#define _di_f_utf_character_is_punctuation_
#define _di_f_utf_character_is_subscript_
#define _di_f_utf_character_is_superscript_
#define _di_f_utf_character_is_symbol_
#define _di_f_utf_character_is_unassigned_
#define _di_f_utf_character_is_valid_
#define _di_f_utf_character_is_whitespace_
#define _di_f_utf_character_is_whitespace_modifier_
#define _di_f_utf_character_is_whitespace_other_
#define _di_f_utf_character_is_whitespace_zero_width_
#define _di_f_utf_character_is_wide_
#define _di_f_utf_character_is_word_
#define _di_f_utf_character_is_word_dash_
#define _di_f_utf_character_is_word_dash_plus_
#define _di_f_utf_character_is_zero_width_
#define _di_f_utf_character_unicode_from_
#define _di_f_utf_character_unicode_string_to_
#define _di_f_utf_character_unicode_to_
//#define _di_f_utf_char_t_
#define _di_f_utf_char_t_codes_
#define _di_f_utf_char_to_char_
//#define _di_f_utf_char_to_character_
#define _di_f_utf_is_
#define _di_f_utf_is_alphabetic_
#define _di_f_utf_is_alphabetic_digit_
#define _di_f_utf_is_alphabetic_numeric_
#define _di_f_utf_is_ascii_
//#define _di_f_utf_is_combining_
//#define _di_f_utf_is_control_
#define _di_f_utf_is_control_code_
#define _di_f_utf_is_control_format_
#define _di_f_utf_is_control_picture_
//#define _di_f_utf_is_digit_
#define _di_f_utf_is_emoji_
#define _di_f_utf_is_fragment_
//#define _di_f_utf_is_graph_
#define _di_f_utf_is_numeric_
#define _di_f_utf_is_phonetic_
//#define _di_f_utf_is_private_
#define _di_f_utf_is_punctuation_
#define _di_f_utf_is_subscript_
#define _di_f_utf_is_superscript_
#define _di_f_utf_is_symbol_
#define _di_f_utf_is_unassigned_
//#define _di_f_utf_is_valid_
//#define _di_f_utf_is_whitespace_
#define _di_f_utf_is_whitespace_modifier_
#define _di_f_utf_is_whitespace_other_
#define _di_f_utf_is_whitespace_zero_width_
//#define _di_f_utf_is_wide_
//#define _di_f_utf_is_word_
//#define _di_f_utf_is_word_dash_
//#define _di_f_utf_is_word_dash_plus_
#define _di_f_utf_is_zero_width_
#define _di_f_utf_space_
#define _di_f_utf_string_append_
#define _di_f_utf_string_append_assure_
#define _di_f_utf_string_append_assure_nulless_
#define _di_f_utf_string_append_nulless_
#define _di_f_utf_string_dynamic_adjust_
#define _di_f_utf_string_dynamic_append_
#define _di_f_utf_string_dynamic_append_assure_
#define _di_f_utf_string_dynamic_append_assure_nulless_
#define _di_f_utf_string_dynamic_append_nulless_
#define _di_f_utf_string_dynamic_decimate_by_
#define _di_f_utf_string_dynamic_decrease_by_
#define _di_f_utf_string_dynamic_increase_
#define _di_f_utf_string_dynamic_increase_by_
#define _di_f_utf_string_dynamic_mash_
#define _di_f_utf_string_dynamic_mash_nulless_
#define _di_f_utf_string_dynamic_mish_
#define _di_f_utf_string_dynamic_mish_nulless_
#define _di_f_utf_string_dynamic_partial_append_
#define _di_f_utf_string_dynamic_partial_append_assure_
#define _di_f_utf_string_dynamic_partial_append_assure_nulless_
#define _di_f_utf_string_dynamic_partial_append_nulless_
#define _di_f_utf_string_dynamic_partial_mash_
#define _di_f_utf_string_dynamic_partial_mash_nulless_
#define _di_f_utf_string_dynamic_partial_mish_
#define _di_f_utf_string_dynamic_partial_mish_nulless_
#define _di_f_utf_string_dynamic_partial_prepend_
#define _di_f_utf_string_dynamic_partial_prepend_assure_
#define _di_f_utf_string_dynamic_partial_prepend_assure_nulless_
#define _di_f_utf_string_dynamic_partial_prepend_nulless_
#define _di_f_utf_string_dynamic_prepend_
#define _di_f_utf_string_dynamic_prepend_assure_
#define _di_f_utf_string_dynamic_prepend_assure_nulless_
#define _di_f_utf_string_dynamic_prepend_nulless_
#define _di_f_utf_string_dynamic_resize_
#define _di_f_utf_string_dynamics_adjust_
#define _di_f_utf_string_dynamics_append_
#define _di_f_utf_string_dynamics_append_all_
#define _di_f_utf_string_dynamics_decimate_by_
#define _di_f_utf_string_dynamics_decrease_by_
#define _di_f_utf_string_dynamic_seek_line_
#define _di_f_utf_string_dynamic_seek_line_to_
#define _di_f_utf_string_dynamic_seek_to_
#define _di_f_utf_string_dynamics_increase_
#define _di_f_utf_string_dynamics_increase_by_
#define _di_f_utf_string_dynamics_resize_
#define _di_f_utf_string_dynamicss_adjust_
#define _di_f_utf_string_dynamicss_append_
#define _di_f_utf_string_dynamicss_append_all_
#define _di_f_utf_string_dynamicss_decimate_by_
#define _di_f_utf_string_dynamicss_decrease_by_
#define _di_f_utf_string_dynamicss_increase_
#define _di_f_utf_string_dynamicss_increase_by_
#define _di_f_utf_string_dynamicss_resize_
#define _di_f_utf_string_dynamicss_t_
//#define _di_f_utf_string_dynamics_t_
//#define _di_f_utf_string_dynamic_t_
#define _di_f_utf_string_dynamic_terminate_
#define _di_f_utf_string_dynamic_terminate_after_
#define _di_f_utf_string_empty_s_
#define _di_f_utf_string_map_multis_adjust_
#define _di_f_utf_string_map_multis_append_
#define _di_f_utf_string_map_multis_append_all_
#define _di_f_utf_string_map_multis_decimate_by_
#define _di_f_utf_string_map_multis_decrease_by_
#define _di_f_utf_string_map_multis_increase_
#define _di_f_utf_string_map_multis_increase_by_
#define _di_f_utf_string_map_multis_resize_
#define _di_f_utf_string_map_multiss_adjust_
#define _di_f_utf_string_map_multiss_append_
#define _di_f_utf_string_map_multiss_append_all_
#define _di_f_utf_string_map_multiss_decimate_by_
#define _di_f_utf_string_map_multiss_decrease_by_
#define _di_f_utf_string_map_multiss_increase_
#define _di_f_utf_string_map_multiss_increase_by_
#define _di_f_utf_string_map_multiss_resize_
#define _di_f_utf_string_map_multiss_t_
#define _di_f_utf_string_map_multis_t_
#define _di_f_utf_string_map_multi_t_
#define _di_f_utf_string_maps_adjust_
#define _di_f_utf_string_maps_append_
#define _di_f_utf_string_maps_append_all_
#define _di_f_utf_string_maps_decimate_by_
#define _di_f_utf_string_maps_decrease_by_
#define _di_f_utf_string_maps_increase_
#define _di_f_utf_string_maps_increase_by_
#define _di_f_utf_string_maps_resize_
#define _di_f_utf_string_mapss_adjust_
#define _di_f_utf_string_mapss_append_
#define _di_f_utf_string_mapss_append_all_
#define _di_f_utf_string_mapss_decimate_by_
#define _di_f_utf_string_mapss_decrease_by_
#define _di_f_utf_string_mapss_increase_
#define _di_f_utf_string_mapss_increase_by_
#define _di_f_utf_string_mapss_resize_
#define _di_f_utf_string_mapss_t_
#define _di_f_utf_string_maps_t_
#define _di_f_utf_string_map_t_
#define _di_f_utf_string_mash_
#define _di_f_utf_string_mash_nulless_
#define _di_f_utf_string_mish_
#define _di_f_utf_string_mish_nulless_
#define _di_f_utf_string_prepend_
#define _di_f_utf_string_prepend_assure_
#define _di_f_utf_string_prepend_assure_nulless_
#define _di_f_utf_string_prepend_nulless_
#define _di_f_utf_string_seek_line_
#define _di_f_utf_string_seek_line_to_
#define _di_f_utf_string_seek_to_
#define _di_f_utf_string_staticss_t_
//#define _di_f_utf_string_statics_t_
//#define _di_f_utf_string_static_t_
//#define _di_f_utf_string_t_
#define _di_f_utf_string_triples_adjust_
#define _di_f_utf_string_triples_append_
#define _di_f_utf_string_triples_append_all_
#define _di_f_utf_string_triples_decimate_by_
#define _di_f_utf_string_triples_decrease_by_
#define _di_f_utf_string_triples_increase_
#define _di_f_utf_string_triples_increase_by_
#define _di_f_utf_string_triples_resize_
#define _di_f_utf_string_tripless_adjust_
#define _di_f_utf_string_tripless_append_
#define _di_f_utf_string_tripless_append_all_
#define _di_f_utf_string_tripless_decimate_by_
#define _di_f_utf_string_tripless_decrease_by_
#define _di_f_utf_string_tripless_increase_
#define _di_f_utf_string_tripless_increase_by_
#define _di_f_utf_string_tripless_resize_
#define _di_f_utf_string_tripless_t_
#define _di_f_utf_string_triples_t_
#define _di_f_utf_string_triple_t_
#define _di_f_utf_substitute_
//#define _di_f_utf_unicode_from_
//#define _di_f_utf_unicode_string_to_
//#define _di_f_utf_unicode_to_
#define _di_f_utf_widths_t_

#define _di_macro_f_memory_structure_adjust_
#define _di_macro_f_memory_structure_clear_
#define _di_macro_f_memory_structure_decimate_by_
#define _di_macro_f_memory_structure_decrease_by_
#define _di_macro_f_memory_structure_delete_
#define _di_macro_f_memory_structure_delete_simple_
#define _di_macro_f_memory_structure_destroy_
#define _di_macro_f_memory_structure_destroy_simple_
#define _di_macro_f_memory_structure_increase_
#define _di_macro_f_memory_structure_increase_by_
#define _di_macro_f_memory_structure_increment_
#define _di_macro_f_memory_structure_resize_
#define _di_macro_f_memory_structures_adjust_
#define _di_macro_f_memory_structures_clear_
#define _di_macro_f_memory_structures_decimate_by_
#define _di_macro_f_memory_structures_decrease_by_
#define _di_macro_f_memory_structures_delete_
#define _di_macro_f_memory_structures_delete_simple_
#define _di_macro_f_memory_structures_destroy_
#define _di_macro_f_memory_structures_destroy_simple_
#define _di_macro_f_memory_structures_increase_
#define _di_macro_f_memory_structures_increase_by_
#define _di_macro_f_memory_structures_resize_
